Bug 11822 - Unable to use ant via NetBeans for standard optional tasks.
Unable to use ant via NetBeans for standard optional tasks.
Status: CLOSED INVALID
Product: projects
Classification: Unclassified
Component: Ant
3.x
PC Windows ME/2000
: P1 (vote)
: TBD
Assigned To: Jesse Glick
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-27 20:50 UTC by mspitzer
Modified: 2003-06-30 14:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mspitzer 2001-04-27 20:50:17 UTC
I have ALL of the ant jar files, including junit.jar and optional.jar, in the 
<ant dir>/lib and these files are mounted for my current project.  
Unfortunately, I get the error shown below.  I've also attempted to copy 
junit.jar and optional.jar to the <net beans dir>/modules/patches directory and 
still no luck.

Please help.  Stack trace of error shown below.

<my path here>\build.xml:1041: Could not create task of type: junit because I 
can't find it in the list of task class definitions.  Common solutions are: 1 
execute bin/bootstrap. 2 use taskdef to declare your task. 3 add the task to 
defaults.properties.
        at org.apache.tools.ant.UnknownElement.maybeConfigure
(UnknownElement.java:85)
 
        at org.apache.tools.ant.Target.execute(Target.java:141)
 
        at org.apache.tools.ant.Project.runTarget(Project.java:818)
 
        at org.apache.tools.ant.Project.executeTarget(Project.java:532)
 
        at org.apache.tools.ant.Project.executeTargets(Project.java:506)
 
        at org.apache.tools.ant.module.TargetExecutor.run
(TargetExecutor.java:162)
 
        at org.netbeans.core.execution.RunClassThread.run
(RunClassThread.java:118)
Comment 1 Jesse Glick 2001-04-29 17:42:47 UTC
I think for NetBeans 3.1 you have to put both junit.jar and optional.jar in
modules/patches/ and restart. But I am not sure if it actually works. Definitely
it works in NetBeans 3.2. In any case, please ask on nbusers for help instead as
it may be possible even in 3.1.
Comment 2 Milan Kubec 2001-06-29 12:31:27 UTC
Verified.
Comment 3 Quality Engineering 2003-06-30 14:46:30 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo